Accounts
Upload account avatar
Uploads and normalizes the account’s avatar. Only the account itself may set it.
PUT
/
accounts
/
{accountId}
/
avatar
Upload account avatar
curl --request PUT \
--url https://api.example.com/accounts/{accountId}/avatar \
--header 'Content-Type: multipart/form-data' \
--data-binary $'<array>'import requests
url = "https://api.example.com/accounts/{accountId}/avatar"
headers = {"Content-Type": "multipart/form-data"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'Content-Type': 'multipart/form-data'}};
fetch('https://api.example.com/accounts/{accountId}/avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/accounts/{accountId}/avatar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "<array>",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/accounts/{accountId}/avatar"
payload := strings.NewReader("<array>")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "multipart/form-data")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/accounts/{accountId}/avatar")
.header("Content-Type", "multipart/form-data")
.body("<array>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/accounts/{accountId}/avatar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'multipart/form-data'
request.body = "<array>"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"emailAddress": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActivated": true,
"isSuspended": true,
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}Path Parameters
Id of the account.
Body
multipart/form-data
multipart form data
Response
Represents an account.
Represents an account.
Timestamp when the account was created.
Email address associated with the account.
Unique identifier of the account.
Whether the account email has been verified.
Whether the account is currently suspended.
Timestamp when the account was last updated.
Public handle of the account. Display-only.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Serve path of the account's avatar, when set.
Display name of the account holder, when set.
Upload account avatar
curl --request PUT \
--url https://api.example.com/accounts/{accountId}/avatar \
--header 'Content-Type: multipart/form-data' \
--data-binary $'<array>'import requests
url = "https://api.example.com/accounts/{accountId}/avatar"
headers = {"Content-Type": "multipart/form-data"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'Content-Type': 'multipart/form-data'}};
fetch('https://api.example.com/accounts/{accountId}/avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/accounts/{accountId}/avatar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "<array>",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/accounts/{accountId}/avatar"
payload := strings.NewReader("<array>")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "multipart/form-data")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/accounts/{accountId}/avatar")
.header("Content-Type", "multipart/form-data")
.body("<array>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/accounts/{accountId}/avatar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'multipart/form-data'
request.body = "<array>"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"emailAddress": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActivated": true,
"isSuspended": true,
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}